The REST Admin API is a legacy API as of October 1, 2024. Starting April 1, 2025, all new public apps must be built exclusively with the GraphQL Admin API.
Locations For Move
Requires
merchant_managed_fulfillment_orders access scope.Requires
merchant_managed_fulfillment_orders access scope.:The LocationsForMove resource represents the locations that a fulfillment order can potentially move to.
Was this section helpful?
#
Endpoints
- get/admin/api/latest/fulfillment_
orders/{fulfillment_ order_ id}/locations_ for_ move. json Retrieves a list of locations that a fulfillment order can potentially move to.
Anchor to
The LocationsForMove resource
Anchor to
Properties
A list of locations that a fulfillment order can potentially move to.
Show locations_for_move properties
Show locations_for_move properties
- location: The location being considered as the fulfillment order's new assigned location.
- movable: Whether the fulfillment order can be moved to the location.
- message: A human-readable string with the reason why the fulfillment order, or some of its line items, can't be moved to the location.
Was this section helpful?
{}
The LocationsForMove resource
{
"locations_for_move": [
{
"location": {
"id": 5,
"name": "123 Main St"
},
"movable": false,
"message": "Shirt - Medium can't be changed because it isn't stocked at this location."
},
{
"location": {
"id": 3,
"name": "Alpha Location"
},
"movable": true,
"message": null
},
{
"location": {
"id": 1,
"name": "Bravo Location"
},
"movable": false,
"message": "Current location."
},
{
"location": {
"id": 2,
"name": "Charlie Location"
},
"movable": false,
"message": "No items are stocked at this location."
},
{
"location": {
"id": 4,
"name": "Delta Location"
},
"movable": false,
"message": "2 items can't be changed because they aren't stocked at this location."
}
]
}
Anchor to GET request, Retrieves a list of locations that a fulfillment order can potentially move to.getRetrieves a list of locations that a fulfillment order can potentially move to.
get
Retrieves a list of locations that a fulfillment order can potentially move to.
Retrieves a list of locations that a fulfillment order can potentially move to. The resulting list is sorted alphabetically in ascending order by location name.
api_version
stringstring
requiredrequired
fulfillment_order_id
stringstring
requiredrequired
fulfillment_order_id
The ID of the fulfillment order.
Was this section helpful?
Retrieve a list of locations that a fulfillment order can potentially move to.
Retrieve a list of locations that a fulfillment order can potentially move to.
Was this section helpful?
get
/admin/api/2026-10/fulfillment_ orders/1046000814/locations_ for_ move. json
curl -X GET "https://your-development-store.myshopify.com/admin/api/2026-10/fulfillment_orders/1046000814/locations_for_move.json" \
-H "X-Shopify-Access-Token: {access_token}"
{}
Response
JSON
HTTP/1.1 200 OK
{
"locations_for_move": [
{
"location": {
"id": 1072404542,
"name": "Alpha Location"
},
"message": "Current location.",
"movable": false
},
{
"location": {
"id": 1072404543,
"name": "Bravo Location"
},
"message": "No items are stocked at this location.",
"movable": false
}
]
}
examples
Retrieve a list of locations that a fulfillment order can potentially move to.
curl -X GET "https://your-development-store.myshopify.com/admin/api/2026-10/fulfillment_orders/1046000814/locations_for_move.json" \ -H "X-Shopify-Access-Token: {access_token}"use Shopify\Rest\Admin2026_10\LocationsForMove; use Shopify\Utils; $this->test_session = Utils::loadCurrentSession( $requestHeaders, $requestCookies, $isOnline ); $response = admin.rest.resources.LocationsForMove::all( 1046000814, );use Shopify\Rest\Admin2026_10\LocationsForMove; use Shopify\Utils; $this->test_session = Utils::loadCurrentSession( $requestHeaders, $requestCookies, $isOnline ); $response = LocationsForMove::all( 1046000814, );use Shopify\Rest\Admin2026_10\LocationsForMove; use Shopify\Utils; $this->test_session = Utils::loadCurrentSession( $requestHeaders, $requestCookies, $isOnline ); $response = LocationsForMove::all( 1046000814, );response
HTTP/1.1 200 OK{"locations_for_move":[{"location":{"id":1072404542,"name":"Alpha Location"},"message":"Current location.","movable":false},{"location":{"id":1072404543,"name":"Bravo Location"},"message":"No items are stocked at this location.","movable":false}]}